Subject: Re: [ietf-types] Registration of media type application/senml+json

From: Cullen Jennings <[email-masked]>
Date: Sun, 24 Oct 2010 16:50:18 -0600

Thank you very much for the helpful comments. All your points should be fixed in the next revision. 

DIff of the draft from old version is at 
http://svn.resiprocate.org/rep/ietf-drafts/fluffy/draft-jennings-senml.diff.html

On Sep 21, 2010, at 3:52 PM, Bjoern Hoehrmann wrote:

> * Cullen Jennings wrote:
>> Type name:  application
>> 
>>  Subtype name:  senml+json
>> 
>>  Required parameters:  none
>> 
>>  Optional parameters:  none
>> 
>>  Encoding considerations:  Must be encoded as binary.  See additional
>>  constraints in [RFC4627].
> 
> If I understand correctly, this type is just a specialization of the
> application/json type. If so this should simply say the considerations
> are the same as for application/json.

fixed

> 
>>  Interoperability considerations:  JSON allows new fields to be
>>  defined and applications should be able to ignore fields they do not
>>  understand to ensure forward compatibility with extensions to this
>>  specification.
> 
> I think "JSON allows new fields to be defined" is misleading here.
> Perhaps you mean to say: if the name of a name-value pair in an
> object is not recognized, the pair should be ignored?

yep - that's what I was trying to get at - fixed - thanks 

> 
>>  Published specification:  RFC-AAAA
>> 
>>  Applications that use this media type:  N/A
> 
> This should be a general description of the type of application
> that uses the type, for instance, Office applications, Multimedia
> applications, Cartography applications, Web browsers, ...

fixed 

> 
>>  Additional information:
>> 
>>  Magic number(s):  none
>> 
>>  File extension(s):  senml
>> 
>>  Macintosh file type code(s):  none
>> 
>>  Person & email address to contact for further information:  Cullen
>>  Jennings <[email-masked]>
>> 
>>  Intended usage:  COMMON
>> 
>>  Restrictions on usage:  None
>> 
>>  Author:  Cullen Jennings <[email-masked]>
>> 
>>  Change controller:  
> 
> As this is a registration in the standards tree through IETF consensus,
> this should say The IETF or The IESG; I forgot which is more popular.

fixed

> -- 
> Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
> Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
> 25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/